Subject: Re: net-shapers plan

From: Jakub Kicinski <[email-masked]>
Date: Wed, 9 Apr 2025 15:06:39 -0700

On Tue, 8 Apr 2025 17:43:19 +0300 Carolina Jubran wrote:
> >> I don't believe there's a specific real-world scenario. It's really
> >> about maximizing flexibility. Essentially, if a user sets things up in a
> >> less-than-optimal way, the hardware can ensure that traffic is
> >> classified and managed properly.  
> > 
> > I see. If you could turn it off and leave it out, at least until clear
> > user appears that'd be great. Reclassifying packets on Tx slightly goes
> > against the netdev recommendation to limit any packet parsing and
> > interpretation on Tx.  
> 
> The hardware enforces a match between the packet’s priority and the 
> scheduling queue’s configured priority. If they match, the packet is 
> transmitted without further processing. If not, the hardware moves the 
> Tx queue to the right scheduling queue to ensure proper traffic class 
> separation.
> This check is always active and cannot currently be disabled. Even when
> the queue is configured with the correct priority, the hardware still 
> verifies the match before sending.

It needs to work as intended :( so you probably need to enforce
the correct mapping in the FW or the driver.